Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class FileHandler

    java.lang.Object
      java.util.logging.Handler
          java.util.logging.StreamHandler
              java.util.logging.FileHandler
                  edu.stanford.smi.protege.util.FileHandler

    public class FileHandler

extends FileHandler

Field Summary
`static String` | `PREFIX`
`static Integer` | `ROTATION_COUNT`
`static String` | `ROTATION_COUNT_PROPERTY`
`static String` | `SUFFIX`

Constructor Summary
`FileHandler()`

Method Summary

Methods inherited from class java.util.logging.FileHandler
`close, publish`

Methods inherited from class java.util.logging.StreamHandler
`flush, isLoggable, setEncoding, setOutputStream`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROTATION_COUNT_PROPERTY

    public static final String ROTATION_COUNT_PROPERTY

See Also:
  Constant Field Values

### ROTATION_COUNT

    public static final Integer ROTATION_COUNT

### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

### SUFFIX

    public static final String SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### FileHandler

    public FileHandler()
                throws IOException

Throws:
  `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.